Redirections
All operations require authentication.
List redirectionsProduction
Returns the identifiers of the zone redirections. Can be filtered by subdomain.
Path parameters
Zone name
Query parameters
Filter the value of subDomain property
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ redirection \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a redirectionProduction
Returns a redirection: subdomain, target, type and, for an invisible one, title, description and keywords.
Path parameters
Id
Zone name
Response
Description for the invisible redirection
Id of the redirection
Keywords for the invisible redirection
Subdomain to redirect
Target of the redirection
Title for the invisible redirection
Redirection type:
- visible -> Redirection by http code 302
- visiblePermanent -> Redirection by http code 301
- invisible -> Redirection by html frame
invisiblevisiblevisiblePermanentRedirection zone
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ redirection/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "id": 0, "keywords": "string", "subDomain": "string", "target": "string", "title": "string", "type": "invisible", "zone": "string"}
Create a redirectionProduction
Creates a redirection of type visible (HTTP 302), visiblePermanent (HTTP 301) or invisible (HTML frame). The change applies after the zone is refreshed.
Path parameters
Zone name
Request body (required)
Description for the invisible redirection
Keywords for the invisible redirection
Subdomain to redirect
Target of the redirection
Title for the invisible redirection
Redirection type:
- visible -> Redirection by http code 302
- visiblePermanent -> Redirection by http code 301
- invisible -> Redirection by html frame
invisiblevisiblevisiblePermanentResponse
Description for the invisible redirection
Id of the redirection
Keywords for the invisible redirection
Subdomain to redirect
Target of the redirection
Title for the invisible redirection
Redirection type:
- visible -> Redirection by http code 302
- visiblePermanent -> Redirection by http code 301
- invisible -> Redirection by html frame
invisiblevisiblevisiblePermanentRedirection zone
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ redirection \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "id": 0, "keywords": "string", "subDomain": "string", "target": "string", "title": "string", "type": "invisible", "zone": "string"}
Update a redirectionProduction
Updates the target, type, title, description and keywords of a redirection.
Path parameters
Id
Zone name
Request body (required)
Description for the invisible redirection
Keywords for the invisible redirection
Target of the redirection
Title for the invisible redirection
Redirection type:
- visible -> Redirection by http code 302
- visiblePermanent -> Redirection by http code 301
- invisible -> Redirection by html frame
invisiblevisiblevisiblePermanentResponse
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ redirection/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Delete a redirectionProduction
Deletes a redirection. The change applies after the zone is refreshed.
Path parameters
Id
Zone name
Response
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ redirection/ {id} \
-H "authorization: Bearer $OVH_TOKEN"